Bug 240467 - ibm-acpi - t60 ultrabay acpi events not working
ibm-acpi - t60 ultrabay acpi events not working
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-17 14:24 EDT by Derek Atkins
Modified: 2008-06-16 21:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:19:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Atkins 2007-05-17 14:24:30 EDT
Description of problem:

When I insert and remove drives from the ultrabay, the kernel doesn't send ACPI
events.  I get this in the dmesg log:

ACPI: \_SB_.PCI0.IDE0.PRIM.MSTR: Bay event

But nothing in /proc/acpi/events

Version-Release number of selected component (if applicable):

kernel-2.6.21-1.3142.fc7

ibm_acpi: IBM ThinkPad ACPI Extras v0.13
ibm_acpi: ThinkPad EC firmware 79HT50WW-1.07

How reproducible:

100%

Steps to Reproduce:
1. kill acpid
2. cat /proc/acpi/events
3. eject the ultrabay device
4. notice that nothing is printed
5. notice the new message in the dmesg log
  
Actual results:

Nothing, which is the problem.

Expected results:

I should have seen an ACPI event

Additional info:

It looks like Ted T'so sent a patch upstream for this back in December but they
never actually incorporated it.  It looks like the simple fix is to just add:

\_SB_.PCI0.IDE0.PRIM.MSTR

to the IBM_HANDLE 'bay' list in ibm-acpi.c

See:

http://repo.or.cz/w/linux-2.6/linux-acpi-2.6/ibm-acpi-2.6.git?a=blob;f=queues/ibm-acpi/ibm-acpi_add_Ultrabay_support_for_the_T60p_ThinkPad.patch;h=5374ab4683c50eaf691bb32633ba25f1c3ecb26d;hb=5daa06c1aeea696ffc0c32ebf20e5e6cb7794cff
Comment 1 Bug Zapper 2008-04-03 20:45:38 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 2 Bug Zapper 2008-05-06 21:45:39 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp
Comment 3 Derek Atkins 2008-05-07 00:11:47 EDT
Sorry, I must have missed the NEEDINFO email.    I'm running kernel
2.6.23.15-80.fc7 on my T60 and I still have this problem.
Comment 4 Bug Zapper 2008-05-14 08:14:40 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 21:19:40 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.